package com.qmth.eds.job.service;

import java.io.IOException;

/**
 * 定时任务 服务类
 */
public interface JobService {

    /**
     * 同步学校信息
     */
    void updateSchoolInfo() throws IOException;

    /**
     * 同步武大考务数据
     *
     * @param isAuto 是否定时任务触发
     */
    void getExamData(boolean isAuto);

    /**
     * 同步云阅卷考生成绩
     *
     * @param semesterId
     * @param examTypeId
     * @param examId 云阅卷考试ID
     */
    void syncStudentScore(Long semesterId, Long examTypeId, Integer examId);
}
